Description

Both classes should be checked for common features and these should be "implemented" in the same way. This applies to both the
header (API, data types and documentation) and the implementation files. Also the error handling (e.g. what is returned on the wire)
or the support for "status detail" information could certainly be improved. There is still a lot of work to do ... :)

The goal should be to have a non-experimental version (with stable API) for the next release (version 3.6.2).

History

#1 - 2014-01-24 10:24 - J6rg Riesmeier

Also within the DcmSCP class, the various handleXXX(), receiveXXX() and sendXXX() methods are used/implemented in an inconsistent way.
The handIeSTORERequest() method could be used as an example. See this commit:

#2 - 2017-03-24 12:46 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#3 - 2017-12-07 11:55 - Marco Eichelberg
- Target version changed from 3.6.3 to 3.6.6

#4 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)

#5 - 2023-01-16 16:03 - J6rg Riesmeier

- Tracker changed from Bug to Feature
